Bug 1920674 - MissingKey errors in bindings namespace
Summary: MissingKey errors in bindings namespace
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.7
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.7.0
Assignee: ralpert
QA Contact: Siva Reddy
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-26 20:35 UTC by ralpert
Modified: 2021-02-24 15:56 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: i18next.t was being used before i18next loaded. Consequence: This led to missingKey errors. Fix: Removed usage of i18next.t in favor of native react-i18next t function usage. Result: No errors are displayed.
Clone Of:
Environment:
Last Closed: 2021-02-24 15:56:23 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7937 0 None closed Bug 1920674: Fix missingKey errors 2021-02-08 15:05:13 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:56:51 UTC

Description ralpert 2021-01-26 20:35:56 UTC
Description of problem:
I noticed some missingKey errors in the bindings namespace. Somebody used i18next incorrectly.

Version-Release number of selected component (if applicable):
4.7

How reproducible:
Always.

Steps to Reproduce:
1. Look at developer tools.

Actual results:
There is an error.

Expected results:
No error.

Comment 2 wewang 2021-02-02 09:15:20 UTC
Tested in version:
4.7.0-0.nightly-2021-01-31-031653

Looked  at developer tools, no MissingKey errors in RoleBindings pages now.

Comment 5 errata-xmlrpc 2021-02-24 15:56:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.